al_draw_triangle(3)

NAME

al_draw_triangle - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_primitives.h>
    void al_draw_triangle(float x1, float y1, float x2, float y2,
       float x3, float y3, ALLEGRO_COLOR color, float thickness)

DESCRIPTION

Draws an outlined triangle.

Parameters:

•   x1, y1, x2, y2, x3, y3 - Three points of the triangle

•   color - Color of the triangle

•   thickness - Thickness of the lines, pass <= 0 to draw hairline lines

SEE ALSO

al_draw_filled_triangle(3), al_draw_soft_triangle(3)